classification
Title: test_wave.py converted to unittest
Type: enhancement Stage:
Components: Tests Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, facundobatista, giampaolo.rodola
Priority: normal Keywords: easy, patch

Created on 2008-01-28 00:03 by giampaolo.rodola, last changed 2008-02-06 18:49 by giampaolo.rodola. This issue is now closed.

Files
File name Uploaded Description Edit
test_wave.diff giampaolo.rodola, 2008-01-28 00:03 test_wave.py converted to unittest
Messages (6)
msg61754 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-01-28 00:03
In attachment.
msg61755 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-01-28 00:54
Sorry but I realized right now by reading Lib/test/readme.txt that the
test scripts are required to have a global "test_main()" function
defined hence the "main()" function I defined in my patch should be
renamed in "test_main()".
msg61795 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-28 18:41
Thanks for the patch!
msg61796 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-01-28 19:26
Glad to help.
msg62077 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-02-05 19:06
Applied in r60602. Thank you very much!

Note that I had to apply the patch by hand... I think that the problem
was in the header: if I get a svn diff, it starts differently than you
patch:

facundo@virtub:~/devel/reps/python/trunk$ svn diff -r 60601
Lib/test/test_wave.py
Index: Lib/test/test_wave.py
===================================================================
--- Lib/test/test_wave.py       (revisiĆ³n: 60601)
+++ Lib/test/test_wave.py       (copia de trabajo)
@@ -1,32 +1,45 @@
...

I noted that you submitted other patch in other issue, please check that
one to be ok.

Thanks again!!
msg62114 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-02-06 18:49
You're right. It seems that TortoiseSVN generated diff files are
different than using the original svn cmd line tool (probably I'm using
TortoiseSVN in the wrong way).
I'll update the other patches.
History
Date User Action Args
2013-11-11 11:56:09ncoghlanunlinkissue19347 dependencies
2013-11-11 11:55:38ncoghlanlinkissue19347 dependencies
2008-02-06 18:49:33giampaolo.rodolasetmessages: + msg62114
2008-02-05 19:06:55facundobatistasetstatus: open -> closed
resolution: fixed
messages: + msg62077
nosy: + facundobatista
2008-01-28 19:26:53giampaolo.rodolasetmessages: + msg61796
2008-01-28 18:41:30christian.heimessetpriority: normal
keywords: + patch, easy
messages: + msg61795
nosy: + christian.heimes
2008-01-28 00:54:44giampaolo.rodolasetmessages: + msg61755
2008-01-28 00:03:39giampaolo.rodolacreate